Read Signup Session
curl --request GET \
--url https://scx-sbx.api.jtl-software.com/v1/channel/seller/signup-session \
--header 'Authorization: Bearer <token>'import requests
url = "https://scx-sbx.api.jtl-software.com/v1/channel/seller/signup-session"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://scx-sbx.api.jtl-software.com/v1/channel/seller/signup-session', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"jtlAccountId": 1782
}{
"errorList": [
{
"code": "GEN404",
"message": "Not found",
"severity": "error",
"hint": null
}
]
}{
"errorList": [
{
"code": "GEN500",
"message": "Internal Server Error",
"severity": "error",
"hint": null
}
]
}Seller
Read Signup Session
GET
/
v1
/
channel
/
seller
/
signup-session
Read Signup Session
Authorizations
As a Channel Integrator you will receive a API Refresh Token. With such a Refresh Token you need to request an Access Token with a limited Lifetime (see POST /v1/auth). This Access Token must be provided as a Bearer Token in the Authorization Header with every request.
Query Parameters
SessionId
Response
Signup session retrieved
Signup-flow session payload referencing the JTL account that initiated the seller signup.
JTL Internal ID to identify a JTL Account
Required range:
x >= 1Example:
1782
Was this page helpful?
⌘I